package esercizio1;

import java.text.DecimalFormat;
import java.util.Scanner;

public class Principale {

	public static void main(String[] args) 
	{
		Scanner tastiera = new Scanner (System.in);
		CarrelloLibreria carrello = new CarrelloLibreria();
		String ans ="";	
		DecimalFormat df = new DecimalFormat("0.00");
		do
		{
			System.out.println("Inserisci il codice ISBN del libro: ");
			String ISBN = tastiera.next();
			tastiera.nextLine();
			System.out.println("Inserisci il titolo del libro: ");
			String titolo = tastiera.nextLine();
			System.out.println("Inserisci la casa editrice del libro: ");
			String casaEditrice = tastiera.nextLine();
			System.out.println("Inserisci l'edizione del libro: ");
			int edizione = tastiera.nextInt();
			System.out.println("Inserisci il prezzo del libro: ");
			double prezzo = tastiera.nextDouble();
			
			Libro libro = new Libro(ISBN,titolo,casaEditrice,edizione,prezzo);
			
			boolean inserimento = carrello.aggiungiLibro(libro);
			if (inserimento)
				System.out.println("Inserimento andato a buon fine");
			else
				System.out.println("Inserimento non riuscito");
			
			System.out.println("Vuoi inserire un altro libro?");
			ans = tastiera.next();	
		}
		while (ans.equalsIgnoreCase("si"));
		
		System.out.println("L'importo totale da pagare  " + df.format(carrello.getConto()) + "");
		
		tastiera.close();
	}
}
